aboutsummaryrefslogtreecommitdiff
path: root/lint
diff options
context:
space:
mode:
Diffstat (limited to 'lint')
-rw-r--r--lint/bash.sh10
-rw-r--r--lint/ksh.sh9
-rw-r--r--lint/sh.sh14
3 files changed, 23 insertions, 10 deletions
diff --git a/lint/bash.sh b/lint/bash.sh
index 2fe1ba13..6457da35 100644
--- a/lint/bash.sh
+++ b/lint/bash.sh
@@ -1 +1,9 @@
-find bash -type f -print -exec shellcheck -e SC1090 -s bash -- {} +
+set \
+ bash/bash_completion \
+ bash/bash_completion.d/*.bash \
+ bash/bash_logout \
+ bash/bash_profile \
+ bash/bashrc \
+ bash/bashrc.d/*.bash
+shellcheck -e SC1090 -s bash -- "$@" || exit
+printf 'GNU Bash dotfiles linted successfully.\n'
diff --git a/lint/ksh.sh b/lint/ksh.sh
index 4cedc6f7..102e0e54 100644
--- a/lint/ksh.sh
+++ b/lint/ksh.sh
@@ -1,3 +1,6 @@
-find ksh \
- -type f -name '*.sh' -exec shellcheck -e SC1090 -s sh -- {} + -o \
- -type f -exec shellcheck -e SC1090 -s ksh -- {} +
+set \
+ ksh/kshrc \
+ ksh/kshrc.d/*.ksh
+shellcheck -e SC1090 -s ksh -- "$@" || exit
+shellcheck -e SC1090 -s sh -- ksh/shrc.d/ksh.sh || exit
+printf 'Korn shell dotfiles linted successfully.\n'
diff --git a/lint/sh.sh b/lint/sh.sh
index 89704c0b..c1c972c8 100644
--- a/lint/sh.sh
+++ b/lint/sh.sh
@@ -1,6 +1,8 @@
-find sh \
- keychain/profile.d keychain/shrc.d \
- ksh/shrc.d \
- mpd/profile.d \
- plenv/profile.d plenv/shrc.d \
- -type f -print -exec shellcheck -e SC1090 -s sh -- {} +
+set \
+ sh/profile \
+ sh/profile.d/*.sh \
+ sh/shinit \
+ sh/shrc \
+ sh/shrc.d/*.sh
+shellcheck -e SC1090 -s sh -- "$@" || exit
+printf 'POSIX shell dotfiles linted successfully.\n'